/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 16.05.2012
  * @author Stephan Baldes
  */

public class A4 {

  public static void main(String[] args) {

  // *****
  //  4a
  // *****
  
  int[] gew = {100,0,50,500,0,30,0,500};
  for(int i=0;i<gew.length;i++) {
    System.out.print("Los-Nr:"+(i+1));
    System.out.println(" Gewinn:"+gew[i]);
  }

  // *****
  //  4b
  // *****

  int sumG=0, anzN=0;
  for(int i=0;i<gew.length;i++) {
    if (gew[i]==0) {
      anzN=anzN+1;
    } else {
      sumG=sumG+gew[i];
    }
  }
  System.out.println("Summe Gewinn: "+sumG);
  System.out.println("Anzahl Nieten:"+anzN);

  // *****
  //  4c
  // *****

  for(int i=0;i<gew.length;i++) {
     if (gew[i]>=100) {
        System.out.println("Gewinn >=100 für LosNr: "+(i+1));
     }
  }
  
  // *****
  //  4d
  // *****

  int max=-1;
  for(int i=0;i<gew.length;i++) {
  if (max>=gew[i]) { } else { max=gew[i];}
  }
  System.out.println("Größte Gewinn "+max);
  
  for(int i=0;i<gew.length;i++) {
    if (gew[i]==max) {
      System.out.println("  Los-Nr:"+(i+1));
    }
  }
  
  
  }
  }


